const fs = require('fs')
const parseArgs = require('minimist')
const pkg = require(`${process.cwd()}/package.json`)

const args = parseArgs(process.argv.slice(2))
const destination = args.destination || './public/meta.json'
const filename = destination.match(/[^\\/]+$/)[0]

const jsonData = JSON.stringify({
  version: pkg.version,
})

fs.writeFile(destination, jsonData, (err) => {
  if (err) {
    console.log(`An error occured while writing JSON Object to ${filename}`)
    return console.log(err)
  }
  console.log(`${filename} file has been saved with latest version number`)
})
